SoScXMLEvent Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
SoScXMLEvent Class Reference
State Chart XML Classes

Adds an SoEvent holder to the ScXMLEvent base. More...

`#include <Inventor/scxml/SoScXMLEvent.h>`

Inheritance diagram for SoScXMLEvent:

## Public Member Functions
virtual SoType | getTypeId (void) const
virtual void | setSoEvent (const SoEvent *soevent)
virtual const SoEvent * | getSoEvent (void) const
virtual void | setUpIdentifier (void)
Public Member Functions inherited from ScXMLEvent
virtual void | setIdentifier (const SbName &identifier)
const SbName & | getIdentifier (void) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
void | setXMLAttribute (const char *attribute, const char *value)
const char * | getXMLAttribute (const char *attribute) const
virtual SbBool | handleXMLAttributes (void)
virtual void | setContainer (ScXMLObject *container)
ScXMLObject * | getContainer (void) const
SbBool | isContainedIn (const ScXMLObject *object) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from ScXMLEvent
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
static void | initClass (void)

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Protected Attributes inherited from ScXMLEvent
SbName | identifier

## Detailed Description

Adds an SoEvent holder to the ScXMLEvent base.

This class is part of integrating the Coin types with the SCXML subsystem. SoScXMLEvent objects are ScXMLEvents that wraps/passes an SoEvent to the SCXML state machine.

Since
  Coin 3.0

## Member Function Documentation

void SoScXMLEvent::setSoEvent | ( | const SoEvent * | soevent | ) |
| virtual

This function stores a pointer to the originator SoEvent that caused the given event, if any.

There is no resource management with regards to this pointer - it has to be kept alive on the outside for as long as this event may live, and be deallocated on the outside as well.

See also
  setUpIdentifiers

const SoEvent * SoScXMLEvent::getSoEvent | ( | void |  | ) | const
| virtual

Returns the pointer stored by setSoEvent() or NULL if no pointer has been stored yet.

See also
  setSoEvent

void SoScXMLEvent::setUpIdentifier | ( | void |  | ) |
| virtual

This method updates the ScXMLEvent event class and event identifier strings based on the set SoEvent object.

The identifiers will be cleared if no SoEvent object has been stored.

See also
  setSoEvent

The documentation for this class was generated from the following files:

- SoScXMLEvent.h
- SoScXMLEvent.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.